"""
meteorD.py - small meteor
"""

import common
import enemy
import explosionB
import pygame

class MeteorD(enemy.Enemy):

    def __init__(self,rect):
        rect       += [15,14]
        enemy.Enemy.__init__(self,rect,15,1)
        self.speed  = 1
        self.damage = 7
        self.images = common.images['MeteorD']

        common.enemies.append(self)

    # from object.py
    def move(self):
        self.rect[1] += self.speed
        if self.rect[1] > common.resolution[1]:
            common.enemies.remove(self)

    # from enemy.py
    def explode(self):
        explosionB.ExplosionB(self.rect[:2])
